# Tuitio client

## Introduction

Tuitio client is an npm package written in typescript that facilitates the integration of a javascript application with [Tuitio](https://lab.code-rove.com/gitea/tudor.stanciu/tuitio).

## Package installation

The package installation can be done in two ways:

- from the command line: `npm install @flare/tuitio-client@1.0.0`
- from the package.json file: `"@flare/tuitio-client": "1.0.0"`

## How to use the package

```javascript!
const { TuitioClient, fetch, invalidate } =  require("@flare/tuitio-client");
const TuitioClient =  require("@flare/tuitio-client");
const type { TuitioToken, TuitioAuthenticationResult, TuitioState } =  require("@flare/tuitio-client");
```

```javascript!
import { TuitioClient, fetch, invalidate } from "@flare/tuitio-client";
import TuitioClient from "@flare/tuitio-client";
import type { TuitioToken, TuitioAuthenticationResult, TuitioState } from "@flare/tuitio-client";
```

## Unit testing

Unit testing is done using [Jest](https://jestjs.io/). This is an awesome testing framework created by Facebook.
The files containing tests are identified by the extension `*.test.ts`.
All tests in the package can be executed by running: `npm test`.

## Changelog

1.0.0 - Package initialization  
1.0.1 - Export Tuitio types
